summaryrefslogtreecommitdiffstats
path: root/regress
diff options
context:
space:
mode:
authorNicholas Marriott <nicholas.marriott@gmail.com>2017-04-25 13:50:44 +0100
committerNicholas Marriott <nicholas.marriott@gmail.com>2017-04-25 13:50:44 +0100
commit9794c03537a2f7fa5787f9ed7f70c10899deca14 (patch)
treec6a5b661891c9133cd2f694fe731b3fefafb310b /regress
parent1b221a56ea8ffd9fc603724b32c5f28dc54ad3bf (diff)
And another.
Diffstat (limited to 'regress')
-rw-r--r--regress/if-shell-TERM.sh1
-rw-r--r--regress/if-shell-error.sh1
-rw-r--r--regress/new-session-no-client.sh25
3 files changed, 27 insertions, 0 deletions
diff --git a/regress/if-shell-TERM.sh b/regress/if-shell-TERM.sh
index d1257ec7..c29741ac 100644
--- a/regress/if-shell-TERM.sh
+++ b/regress/if-shell-TERM.sh
@@ -1,6 +1,7 @@
#!/bin/sh
# 882
+# TERM should come from outside tmux for if-shell from the config file
PATH=/bin:/usr/bin
TERM=screen
diff --git a/regress/if-shell-error.sh b/regress/if-shell-error.sh
index 354f8580..4477850c 100644
--- a/regress/if-shell-error.sh
+++ b/regress/if-shell-error.sh
@@ -1,6 +1,7 @@
#!/bin/sh
# 883
+# if-shell with an error should not core :-)
PATH=/bin:/usr/bin
TERM=screen
diff --git a/regress/new-session-no-client.sh b/regress/new-session-no-client.sh
new file mode 100644
index 00000000..47e952b3
--- /dev/null
+++ b/regress/new-session-no-client.sh
@@ -0,0 +1,25 @@
+#!/bin/sh
+
+# 869
+# new with no client (that is, from the config file) should imply -d and
+# not attach
+
+PATH=/bin:/usr/bin
+TERM=screen
+
+[ -z "$TEST_TMUX" ] && TEST_TMUX=../tmux
+TMUX="$TEST_TMUX -Ltest"
+$TMUX kill-server 2>/dev/null
+
+TMP=$(mktemp)
+trap "rm -f $TMP" 0 1 15
+
+cat <<EOF >$TMP
+new -stest
+EOF
+
+$TMUX -f$TMP start || exit 1
+sleep 1 && $TMUX has -t=test: || exit 1
+$TMUX kill-server 2>/dev/null
+
+exit 0